<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a9c448ac-d772-4746-916f-923fb3063966" name="Default Changelist" comment="1、新增降噪日志数据健康监测告警&#10;2、IP联动封禁功能完善">
      <change afterPath="$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer-nw.yaml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer-prod.yaml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-pre-nw.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve-nw.yaml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve-prod.yaml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/compiler.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/compiler.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/encodings.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/encodings.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__ch_qos_logback_logback_classic_1_2_11.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__ch_qos_logback_logback_core_1_2_11.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__cn_hutool_hutool_all_5_8_16.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__co_elastic_clients_elasticsearch_java_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_alibaba_fastjson2_fastjson2_2_0_40.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_alibaba_fastjson_1_2_83.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_baomidou_mybatis_plus_3_5_3_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_baomidou_mybatis_plus_annotation_3_5_3_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_baomidou_mybatis_plus_boot_starter_3_5_3_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_baomidou_mybatis_plus_core_3_5_3_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_baomidou_mybatis_plus_extension_3_5_3_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_carrotsearch_hppc_0_8_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_classmate_1_5_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_core_jackson_annotations_2_13_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_core_jackson_annotations_2_13_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_core_jackson_core_2_13_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_core_jackson_core_2_13_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_core_jackson_databind_2_13_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_dataformat_jackson_dataformat_cbor_2_13_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_dataformat_jackson_dataformat_smile_2_13_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_dataformat_jackson_dataformat_yaml_2_13_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_datatype_jackson_datatype_jdk8_2_13_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_datatype_jackson_datatype_jsr310_2_13_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_fasterxml_jackson_module_jackson_module_parameter_names_2_13_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_github_jsqlparser_jsqlparser_4_5.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_github_luben_zstd_jni_1_5_2_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_github_pagehelper_pagehelper_5_3_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_github_pagehelper_pagehelper_spring_boot_autoconfigure_1_4_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_github_pagehelper_pagehelper_spring_boot_starter_1_4_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_github_spullara_mustache_java_compiler_0_9_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_google_code_findbugs_jsr305_3_0_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_google_code_gson_gson_2_9_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_influxdb_influxdb_client_core_6_9_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_influxdb_influxdb_client_java_6_9_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_influxdb_influxdb_client_utils_6_9_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_jayway_jsonpath_json_path_2_7_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_mchange_mchange_commons_java_0_2_15.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_squareup_okhttp3_logging_interceptor_4_9_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_squareup_okhttp3_okhttp_4_9_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_squareup_okio_okio_3_3_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_squareup_okio_okio_jvm_3_3_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_squareup_retrofit2_adapter_rxjava3_2_9_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_squareup_retrofit2_converter_gson_2_9_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_squareup_retrofit2_converter_scalars_2_9_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_squareup_retrofit2_retrofit_2_9_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_tdunning_t_digest_3_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_typesafe_config_1_4_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_vaadin_external_google_android_json_0_0_20131108_vaadin1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__com_zaxxer_HikariCP_4_0_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__commons_codec_commons_codec_1_15.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_lettuce_lettuce_core_6_1_9_RELEASE.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_all_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_buffer_4_1_82_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_buffer_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_4_1_82_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_dns_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_haproxy_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_http2_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_http_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_memcache_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_mqtt_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_redis_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_smtp_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_socks_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_stomp_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_codec_xml_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_common_4_1_82_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_common_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_handler_4_1_82_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_handler_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_handler_proxy_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_handler_ssl_ocsp_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_resolver_4_1_82_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_resolver_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_resolver_dns_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_resolver_dns_classes_macos_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_resolver_dns_native_macos_osx_aarch_64_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_resolver_dns_native_macos_osx_x86_64_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_4_1_82_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_classes_epoll_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_classes_kqueue_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_native_epoll_linux_aarch_64_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_native_epoll_linux_x86_64_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_native_kqueue_osx_aarch_64_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_native_kqueue_osx_x86_64_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_native_unix_common_4_1_82_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_native_unix_common_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_rxtx_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_sctp_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_netty_netty_transport_udt_4_1_92_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_projectreactor_reactor_core_3_4_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__io_reactivex_rxjava3_rxjava_3_1_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__jakarta_activation_jakarta_activation_api_1_2_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__jakarta_annotation_jakarta_annotation_api_1_3_5.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__jakarta_json_jakarta_json_api_1_1_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__jakarta_validation_jakarta_validation_api_2_0_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__jakarta_xml_bind_jakarta_xml_bind_api_2_3_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__joda_time_joda_time_2_9_9.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__net_bytebuddy_byte_buddy_1_12_17.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__net_bytebuddy_byte_buddy_agent_1_12_17.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__net_java_dev_jna_jna_5_10_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__net_minidev_accessors_smart_2_4_8.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__net_minidev_json_smart_2_4_8.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__net_sf_jopt_simple_jopt_simple_5_0_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_commons_commons_csv_1_10_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_commons_commons_lang3_3_12_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_httpcomponents_httpasyncclient_4_1_5.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_httpcomponents_httpclient_4_5_13.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_httpcomponents_httpcore_4_4_15.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_httpcomponents_httpcore_nio_4_4_15.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_kafka_kafka_clients_3_4_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_logging_log4j_log4j_api_2_17_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_logging_log4j_log4j_to_slf4j_2_17_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_analyzers_common_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_backward_codecs_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_core_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_grouping_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_highlighter_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_join_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_memory_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_misc_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_queries_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_queryparser_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_sandbox_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_spatial3d_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_lucene_lucene_suggest_8_11_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_tomcat_embed_tomcat_embed_core_9_0_65.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_tomcat_embed_tomcat_embed_el_9_0_65.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_tomcat_embed_tomcat_embed_websocket_9_0_65.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_apiguardian_apiguardian_api_1_1_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_assertj_assertj_core_3_22_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_checkerframework_checker_qual_3_5_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_eclipse_parsson_parsson_1_0_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_client_elasticsearch_rest_client_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_client_elasticsearch_rest_high_level_client_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_elasticsearch_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_elasticsearch_cli_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_elasticsearch_core_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_elasticsearch_geo_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_elasticsearch_lz4_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_elasticsearch_plugin_classloader_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_elasticsearch_secure_sm_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_elasticsearch_x_content_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_plugin_aggs_matrix_stats_client_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_plugin_lang_mustache_client_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_plugin_mapper_extras_client_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_plugin_parent_join_client_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_elasticsearch_plugin_rank_eval_client_7_17_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_graylog2_syslog4j_0_9_61.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_hamcrest_hamcrest_2_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_hdrhistogram_HdrHistogram_2_1_9.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_hibernate_validator_hibernate_validator_6_2_5_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_jboss_logging_jboss_logging_3_4_3_Final.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_jetbrains_annotations_13_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_jetbrains_kotlin_kotlin_stdlib_1_6_21.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_jetbrains_kotlin_kotlin_stdlib_common_1_6_21.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_jetbrains_kotlin_kotlin_stdlib_jdk7_1_6_21.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_jetbrains_kotlin_kotlin_stdlib_jdk8_1_6_21.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_json_json_20231013.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_junit_jupiter_junit_jupiter_5_8_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_junit_jupiter_junit_jupiter_5_9_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_junit_jupiter_junit_jupiter_api_5_8_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_junit_jupiter_junit_jupiter_engine_5_8_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_junit_jupiter_junit_jupiter_params_5_8_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_junit_platform_junit_platform_commons_1_8_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_junit_platform_junit_platform_engine_1_8_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_lz4_lz4_java_1_8_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_mockito_mockito_core_4_5_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_mockito_mockito_junit_jupiter_4_5_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_mybatis_mybatis_3_5_10.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_mybatis_mybatis_spring_2_1_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_mybatis_spring_boot_mybatis_spring_boot_autoconfigure_2_3_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_mybatis_spring_boot_mybatis_spring_boot_starter_2_3_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_objenesis_objenesis_3_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_opentest4j_opentest4j_1_2_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_ow2_asm_asm_9_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_postgresql_postgresql_42_5_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_projectlombok_lombok_1_18_24.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_quartz_scheduler_quartz_2_3_2.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_reactivestreams_reactive_streams_1_0_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_skyscreamer_jsonassert_1_5_1.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_slf4j_jul_to_slf4j_1_7_36.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_slf4j_slf4j_api_1_7_36.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_slf4j_slf4j_simple_2_0_7.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_autoconfigure_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_cache_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_data_elasticsearch_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_data_redis_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_jdbc_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_json_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_logging_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_quartz_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_test_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_tomcat_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_validation_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_starter_web_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_test_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_boot_spring_boot_test_autoconfigure_2_7_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_data_spring_data_commons_2_7_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_data_spring_data_elasticsearch_4_4_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_data_spring_data_keyvalue_2_7_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_data_spring_data_redis_2_7_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_kafka_spring_kafka_2_8_9.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_retry_spring_retry_1_3_3.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_aop_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_beans_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_context_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_context_support_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_core_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_expression_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_jcl_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_jdbc_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_messaging_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_oxm_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_test_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_tx_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_web_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_springframework_spring_webmvc_5_3_23.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_xerial_snappy_snappy_java_1_1_8_4.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_xmlunit_xmlunit_core_2_9_0.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/Maven__org_yaml_snakeyaml_1_30.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/modules.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/uiDesigner.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/syslog-consumer.log" beforeDir="false" afterPath="$PROJECT_DIR$/logs/syslog-consumer.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/syslog-serve.log" beforeDir="false" afterPath="$PROJECT_DIR$/logs/syslog-serve.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-client/logs/syslog-client.log" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-client/logs/syslog-client.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/docker_run.txt" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/docker_run.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/Modules/NormalData/SysLogProcessor.java" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/Modules/NormalData/SysLogProcessor.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/AlarmHealthCheckScheduler.java" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/AlarmHealthCheckScheduler.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AccessLogAlertService.java" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AccessLogAlertService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AlarmHealthCheckService.java" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AlarmHealthCheckService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/influx/InfluxDBClient.java" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/influx/InfluxDBClient.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-dev.properties" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-dev.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod.properties" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application.properties" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-serve/docker_run.txt" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-serve/docker_run.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-serve/logs/syslog-serve.log" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-serve/logs/syslog-serve.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-serve/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-serve/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/firewall/FirewallApiClient.java" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/firewall/FirewallApiClient.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-serve/src/main/resources/application-dev.properties" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-serve/src/main/resources/application-dev.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod.properties" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-serve/src/main/resources/application-test.properties" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-serve/src/main/resources/application-test.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-serve/src/main/resources/application.properties" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-serve/src/main/resources/application.properties" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/syslog-serve/target/" />
    <ignored path="$PROJECT_DIR$/syslog-client/target/" />
    <ignored path="$PROJECT_DIR$/syslog-consumer/target/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <ignored path="$PROJECT_DIR$/syslog-consumer-rule/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/security_xdr$SyslogServeMainApp.ic" NAME="SyslogServeMainApp Coverage Results" MODIFIED="1768201656945" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="1468926609">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="88" />
          <entry key="project.open.time.10" value="3" />
          <entry key="project.open.time.11" value="3" />
          <entry key="project.open.time.12" value="5" />
          <entry key="project.open.time.13" value="13" />
          <entry key="project.open.time.14" value="11" />
          <entry key="project.open.time.15" value="11" />
          <entry key="project.open.time.16" value="6" />
          <entry key="project.open.time.17" value="9" />
          <entry key="project.open.time.18" value="5" />
          <entry key="project.open.time.19" value="5" />
          <entry key="project.open.time.20" value="11" />
          <entry key="project.open.time.21" value="5" />
          <entry key="project.open.time.22" value="3" />
          <entry key="project.open.time.23" value="3" />
          <entry key="project.open.time.3" value="3" />
          <entry key="project.open.time.4" value="1" />
          <entry key="project.open.time.5" value="1" />
          <entry key="project.opened" value="98" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="Dockerfile" value="6" />
          <entry key="class" value="26" />
          <entry key="iml" value="3" />
          <entry key="java" value="1030" />
          <entry key="log" value="7" />
          <entry key="md" value="11" />
          <entry key="pom" value="1" />
          <entry key="properties" value="207" />
          <entry key="sh" value="1" />
          <entry key="txt" value="45" />
          <entry key="xml" value="110" />
          <entry key="yaml" value="20" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="26" />
          <entry key="IDEA_MODULE" value="3" />
          <entry key="JAVA" value="1030" />
          <entry key="Markdown" value="11" />
          <entry key="PLAIN_TEXT" value="59" />
          <entry key="Properties" value="207" />
          <entry key="XML" value="111" />
          <entry key="YAML" value="20" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="Dockerfile" value="16" />
          <entry key="java" value="4082" />
          <entry key="properties" value="694" />
          <entry key="txt" value="209" />
          <entry key="xml" value="290" />
          <entry key="yaml" value="213" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="4082" />
          <entry key="PLAIN_TEXT" value="225" />
          <entry key="Properties" value="694" />
          <entry key="SQL" value="7" />
          <entry key="XML" value="283" />
          <entry key="YAML" value="213" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FavoritesManager">
    <favorites_list name="security-xdr" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/mapper/AnalysisAnalysisRuleMapper.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="330">
              <caret line="20" column="31" selection-start-line="20" selection-start-column="31" selection-end-line="20" selection-end-column="31" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/SqlGeneratorServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="198">
              <caret line="22" column="13" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/AnalysisRuleServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="176">
              <caret line="19" column="13" selection-start-line="19" selection-start-column="13" selection-end-line="19" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/DmColumnServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="132">
              <caret line="20" column="13" selection-start-line="20" selection-start-column="13" selection-end-line="20" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/OfflineAnalysisEngine.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="198">
              <caret line="20" column="13" selection-start-line="20" selection-start-column="13" selection-end-line="20" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RealtimeAnalysisEngine.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="16236">
              <caret line="752" column="17" selection-start-line="752" selection-start-column="17" selection-end-line="752" selection-end-column="17" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1474">
              <caret line="67" selection-start-line="67" selection-end-line="67" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="292">
              <caret line="79" column="38" selection-start-line="79" selection-start-column="38" selection-end-line="79" selection-end-column="38" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer.yaml">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>device_id</find>
      <find>event_level</find>
      <find>event_category</find>
      <find>dataMap.event_category</find>
      <find>dataMap.attack_result</find>
      <find>dataMap.event_type</find>
      <find>dataMap.fall</find>
      <find>dataMap.collect_method</find>
      <find>dataMap.device_type</find>
      <find>dataMap.srcip_id</find>
      <find>dataMap.origin_total_bytes</find>
      <find>dataMap.target_port</find>
      <find>print_pages</find>
      <find>srcAddress</find>
      <find>src_ip</find>
      <find>window</find>
      <find>close</find>
      <find>192.168.4.26</find>
      <find>firewall.enabled</find>
      <find>firewall.api-key</find>
      <find>firewall.iptables-path</find>
      <find>getAppServieDeviceId</find>
      <find>whitelistUsername</find>
      <find>probe.platform.api-url</find>
      <find>处理心跳失败</find>
      <find>tenant_id</find>
      <find>syslog-consumer</find>
      <find>@Scheduled</find>
      <find>配置 Elasticsearch</find>
      <find>attackDirection</find>
    </findStrings>
    <replaceStrings>
      <replace>com.common.</replace>
    </replaceStrings>
    <dirStrings>
      <dir>E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-consumer-rule</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/controllers/SyslogNonNormalMessageController.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/mapper/SyslogNormalDataMapper.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/mapper/SyslogNormalAlarmMapper.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer/docker_run.txt" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/influx/InfluxDBClient.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/Modules/NormalData/SysLogProcessor.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AlarmHealthCheckService.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/AlarmHealthCheckScheduler.java" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/interlocking/InterlockingService.java" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/resources/application-test.properties" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/firewall/FirewallApiClient.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/haobang/controller/ProbeHeartbeatController.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/entity/DeviceCollectHeartbeatHistory.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/entity/DeviceCollectHeartbeat.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/mapper/DeviceCollectHeartbeatHistoryMapper.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/mapper/DeviceCollectHeartbeatMapper.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/ProbeHeartbeatService.java" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/interlocking/ProbeHeartbeatClient.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/docker-compose-consumer-prod.yaml" />
        <option value="$PROJECT_DIR$/syslog-consumer/docker-compose-consumer.yaml" />
        <option value="$PROJECT_DIR$/syslog-serve/docker-compose-serve.yaml" />
        <option value="$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer-nw.yaml" />
        <option value="$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve-nw.yaml" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-pre-nw.properties" />
        <option value="$PROJECT_DIR$/syslog-serve/pom.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer/pom.xml" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/pom.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/java/com/syslogApplication.java" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/logback.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/java/com/common/service/AccessLogAlertService.java" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/java/com/common/schedule/PartitionTableSchedule.java" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/java/com/common/schedule/ETLOrchestrator.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-dev.properties" />
        <option value="$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve-prod.yaml" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/resources/application-dev.properties" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer-nw.yaml" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/Dockerfile" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-pre-nw.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-dev.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-prod.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer-prod.yaml" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer.yaml" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/docker_run.txt" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/mapper/SyslogNormalDataMapper.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AccessLogAlertService.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/application.properties" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
    <option name="enabledProfiles">
      <list>
        <option value="dev" />
      </list>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="Profiles" type="6783ec58:MavenProjectsStructure$ProfilesNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="security-xdr" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="security-xdr" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="syslog-consumer" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="syslog-consumer" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="syslog-serve" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="syslog-serve" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="syslog-serve" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Plugins" type="7aea1407:MavenProjectsStructure$PluginsNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="1257" />
    <option name="y" value="156" />
    <option name="width" value="1936" />
    <option name="height" value="1048" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="entity" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="entity" type="462c0819:PsiDirectoryNode" />
              <item name="RuleContent" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="schedule" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer-rule" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-xdr" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="Scratches and Consoles" type="1a2a3e82:ScratchProjectViewPane$MyProjectNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1779184006617" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-consumer\docker-compose" />
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-serve\docker-compose" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-consumer\src\main\resources" />
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-consumer\docker-compose" />
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-serve" />
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-consumer" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.syslogRuleApplication">
    <configuration name="DMTDMTest" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.Modules.DMTDMTest" />
      <module name="syslog-consumer" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.Modules.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Sm4Util" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.haobang.util.Sm4Util" />
      <module name="syslog-serve" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.haobang.util.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TimeConversionUtils" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.common.util.TimeConversionUtils" />
      <module name="syslog-consumer" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.common.util.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SyslogServeMainApp" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="syslog-serve" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.SyslogServeMainApp" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="syslogApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="syslog-consumer" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.syslogApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="syslogClientApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="syslog-client" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.haobang.syslog.syslogClientApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="syslogRuleApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true" nameIsGenerated="true">
      <module name="syslog-consumer-rule" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.syslogRuleApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Spring Boot.SyslogServeMainApp" />
      <item itemvalue="Spring Boot.syslogClientApplication" />
      <item itemvalue="Spring Boot.syslogApplication" />
      <item itemvalue="Application.TimeConversionUtils" />
      <item itemvalue="Application.DMTDMTest" />
      <item itemvalue="Application.Sm4Util" />
      <item itemvalue="Spring Boot.syslogRuleApplication" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Spring Boot.syslogRuleApplication" />
        <item itemvalue="Application.Sm4Util" />
        <item itemvalue="Application.DMTDMTest" />
        <item itemvalue="Application.TimeConversionUtils" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a9c448ac-d772-4746-916f-923fb3063966" name="Default Changelist" comment="" />
      <created>1768118325802</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1768118325802</updated>
      <workItem from="1768118329151" duration="810000" />
      <workItem from="1768142696634" duration="3988000" />
      <workItem from="1768198444069" duration="9939000" />
      <workItem from="1768273986907" duration="13969000" />
      <workItem from="1768361619643" duration="1815000" />
      <workItem from="1768376929403" duration="10827000" />
      <workItem from="1768445571813" duration="2729000" />
      <workItem from="1768544038509" duration="8201000" />
      <workItem from="1768632360258" duration="464000" />
      <workItem from="1768792006589" duration="4276000" />
      <workItem from="1768901890292" duration="4536000" />
      <workItem from="1768981043933" duration="4227000" />
      <workItem from="1769052454811" duration="1239000" />
      <workItem from="1769135411039" duration="7748000" />
      <workItem from="1769269442182" duration="7997000" />
      <workItem from="1769396116771" duration="10584000" />
      <workItem from="1769445154428" duration="3958000" />
      <workItem from="1769479723481" duration="18903000" />
      <workItem from="1769528221510" duration="2411000" />
      <workItem from="1769566205458" duration="23288000" />
      <workItem from="1769740143137" duration="16909000" />
      <workItem from="1769996699796" duration="15922000" />
      <workItem from="1770085747648" duration="8547000" />
      <workItem from="1770113131120" duration="4869000" />
      <workItem from="1770170971657" duration="14325000" />
      <workItem from="1770272510946" duration="14706000" />
      <workItem from="1770307693578" duration="1936000" />
      <workItem from="1770346014084" duration="10706000" />
      <workItem from="1770425833627" duration="8932000" />
      <workItem from="1770619327412" duration="11000000" />
      <workItem from="1770690158012" duration="8707000" />
      <workItem from="1771990995871" duration="11190000" />
      <workItem from="1772101649117" duration="804000" />
      <workItem from="1772189726287" duration="1713000" />
      <workItem from="1772270365962" duration="10566000" />
      <workItem from="1772420368452" duration="4343000" />
      <workItem from="1772508402828" duration="15087000" />
      <workItem from="1772595235069" duration="16965000" />
      <workItem from="1772683050510" duration="12714000" />
      <workItem from="1773048152948" duration="5680000" />
      <workItem from="1773196378176" duration="3616000" />
      <workItem from="1773466184845" duration="2835000" />
      <workItem from="1773717022475" duration="3810000" />
      <workItem from="1773804602341" duration="3255000" />
      <workItem from="1773902608862" duration="4282000" />
      <workItem from="1773990635214" duration="162000" />
      <workItem from="1774253257141" duration="1618000" />
      <workItem from="1774319208130" duration="9532000" />
      <workItem from="1774407573208" duration="815000" />
      <workItem from="1774506420313" duration="8312000" />
      <workItem from="1774596055333" duration="6916000" />
      <workItem from="1774839767972" duration="6483000" />
      <workItem from="1775099973256" duration="7820000" />
      <workItem from="1775181709910" duration="10976000" />
      <workItem from="1775549919701" duration="929000" />
      <workItem from="1775629090366" duration="8879000" />
      <workItem from="1775702221598" duration="8500000" />
      <workItem from="1775923879422" duration="3581000" />
      <workItem from="1776053051935" duration="6784000" />
      <workItem from="1776233614850" duration="8541000" />
      <workItem from="1776320126639" duration="5518000" />
      <workItem from="1776342494230" duration="607000" />
      <workItem from="1776413592147" duration="6417000" />
      <workItem from="1776676778187" duration="905000" />
      <workItem from="1776927336980" duration="9502000" />
      <workItem from="1777022546053" duration="1954000" />
      <workItem from="1777082627116" duration="413000" />
      <workItem from="1777085477098" duration="12029000" />
      <workItem from="1777273802150" duration="4655000" />
      <workItem from="1777342961246" duration="15521000" />
      <workItem from="1777385318734" duration="610000" />
      <workItem from="1777445952141" duration="10813000" />
      <workItem from="1777511852960" duration="7975000" />
      <workItem from="1777534126277" duration="1980000" />
      <workItem from="1777536917796" duration="5860000" />
      <workItem from="1777573082460" duration="1289000" />
      <workItem from="1777650251097" duration="6427000" />
      <workItem from="1777676131204" duration="1848000" />
      <workItem from="1777861809772" duration="11098000" />
      <workItem from="1778054060587" duration="8245000" />
      <workItem from="1778121264368" duration="9831000" />
      <workItem from="1778151268925" duration="1676000" />
      <workItem from="1778211403329" duration="12310000" />
      <workItem from="1778292702999" duration="11448000" />
      <workItem from="1778480968012" duration="1557000" />
      <workItem from="1778567993244" duration="9918000" />
      <workItem from="1778639834446" duration="2554000" />
      <workItem from="1778663613246" duration="2168000" />
      <workItem from="1778715971377" duration="13019000" />
      <workItem from="1778745836380" duration="4719000" />
      <workItem from="1779076362274" duration="9060000" />
      <workItem from="1779160268635" duration="16314000" />
      <workItem from="1779374886629" duration="2179000" />
      <workItem from="1779419735086" duration="1321000" />
      <workItem from="1779801466653" duration="821000" />
      <workItem from="1779851867927" duration="3759000" />
      <workItem from="1779878011423" duration="464000" />
      <workItem from="1779948618024" duration="284000" />
    </task>
    <task id="LOCAL-00001" summary="1、修改算子运算结果后入库BUG&#10;2、根据设备ID获取设备IP、设备厂商、设备名称 信息补全标准化表&#10;3、完善告警表字段内容：syslog_normal_alarm: http_url -&gt;alarm: victim_web_url">
      <created>1769412046230</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1769412046230</updated>
    </task>
    <task id="LOCAL-00002" summary="关联分析规则-数据降噪">
      <created>1773828025958</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1773828025958</updated>
    </task>
    <task id="LOCAL-00003" summary="1、新增降噪日志数据健康监测告警&#10;2、IP联动封禁功能完善">
      <created>1778061299312</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1778061299312</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="662244000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="1912" y="-8" width="1936" height="1048" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" x="2058" y="127" width="479" height="485" id="Project" order="0" sideWeight="0.7275542" visible="true" weight="0.20682302" />
      <window_info id="Structure" order="1" sideWeight="0.4136253" side_tool="true" weight="0.2553305" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="5" sideWeight="0.27244583" side_tool="true" weight="0.2739872" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Web" order="7" sideWeight="0.4136253" side_tool="true" weight="0.2553305" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32932165" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.69402987" weight="0.392779" />
      <window_info anchor="bottom" id="Debug" order="3" sideWeight="0.7153518" weight="0.24945295" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" sideWeight="0.49733475" weight="0.32932165" />
      <window_info anchor="bottom" id="Spring" order="7" sideWeight="0.4978678" weight="0.32932165" />
      <window_info anchor="bottom" id="Terminal" order="8" sideWeight="0.4978678" weight="0.32932165" />
      <window_info anchor="bottom" id="Event Log" order="9" sideWeight="0.30597016" side_tool="true" weight="0.34245077" />
      <window_info anchor="bottom" id="Java Enterprise" order="10" sideWeight="0.49733475" weight="0.32932165" />
      <window_info anchor="bottom" id="Database Changes" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="12" sideWeight="0.49733475" weight="0.58862144" />
      <window_info anchor="bottom" id="Messages" order="13" sideWeight="0.4946695" weight="0.23960613" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" visible="true" weight="0.20842217" />
      <window_info anchor="right" id="Database" order="6" weight="0.32995737" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" weight="0.32995737" />
      <window_info anchor="right" id="Coverage" order="10" side_tool="true" weight="0.32995737" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ORDER">
      <list>
        <option value="0" />
        <option value="2" />
        <option value="3" />
        <option value="1" />
      </list>
    </option>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="1、修改算子运算结果后入库BUG&#10;2、根据设备ID获取设备IP、设备厂商、设备名称 信息补全标准化表&#10;3、完善告警表字段内容：syslog_normal_alarm: http_url -&gt;alarm: victim_web_url" />
    <MESSAGE value="关联分析规则-数据降噪" />
    <MESSAGE value="1、新增降噪日志数据健康监测告警&#10;2、IP联动封禁功能完善" />
    <option name="LAST_COMMIT_MESSAGE" value="1、新增降噪日志数据健康监测告警&#10;2、IP联动封禁功能完善" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-serve/src/main/java/com/common/controller/BlacklistController.java</url>
          <line>19</line>
          <properties />
          <option name="timeStamp" value="3" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/util/Sm4Util.java</url>
          <line>116</line>
          <properties />
          <option name="timeStamp" value="4" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/interlocking/InterlockingService.java</url>
          <line>84</line>
          <properties />
          <option name="timeStamp" value="6" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/firewall/FirewallApiClient.java</url>
          <line>218</line>
          <properties />
          <option name="timeStamp" value="9" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/Modules/NormalData/SysLogProcessor.java</url>
          <line>93</line>
          <properties />
          <option name="timeStamp" value="11" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/Modules/NormalData/SysLogProcessor.java</url>
          <line>90</line>
          <properties />
          <option name="timeStamp" value="12" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/SyslogNormalDataService.java</url>
          <line>53</line>
          <properties />
          <option name="timeStamp" value="14" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/SyslogNormalDataService.java</url>
          <line>50</line>
          <properties />
          <option name="timeStamp" value="17" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve-nw.yaml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-664">
          <caret line="29" column="65" lean-forward="true" selection-start-line="29" selection-start-column="65" selection-end-line="29" selection-end-column="65" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve-prod.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="373">
          <caret line="56" column="14" lean-forward="true" selection-start-line="56" selection-start-column="14" selection-end-line="56" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod-zc.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application-dev.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="42">
          <caret line="81" selection-start-line="81" selection-end-line="81" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-pre-nw.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="36" selection-start-line="2" selection-start-column="36" selection-end-line="2" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-dev.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-198">
          <caret line="6" column="42" lean-forward="true" selection-start-line="6" selection-start-column="42" selection-end-line="6" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/logback.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="9" column="50" lean-forward="true" selection-start-line="9" selection-start-column="50" selection-end-line="9" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-test.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="440">
          <caret line="26" column="25" lean-forward="true" selection-start-line="26" selection-start-column="25" selection-end-line="26" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer-nw.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-240">
          <caret line="18" column="16" lean-forward="true" selection-start-line="18" selection-start-column="16" selection-end-line="18" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/doc/realtime-scheduler-design.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="20">
          <caret line="80" column="37" lean-forward="true" selection-end-line="100" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/Dockerfile">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="5" column="17" lean-forward="true" selection-start-line="5" selection-start-column="17" selection-end-line="5" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/docker_run.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="3" lean-forward="true" selection-start-line="2" selection-start-column="3" selection-end-line="2" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="41" lean-forward="true" selection-start-line="41" selection-end-line="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="18" column="16" lean-forward="true" selection-start-line="18" selection-start-column="16" selection-end-line="18" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer-prod.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="349">
          <caret line="84" lean-forward="true" selection-start-line="84" selection-end-line="84" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/docker_run.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="18" column="12" lean-forward="true" selection-start-line="18" selection-start-column="12" selection-end-line="18" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/config/AppConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2156">
          <caret line="119" column="55" lean-forward="true" selection-start-line="119" selection-start-column="55" selection-end-line="119" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/java/com/Modules/NormalData/SysLogProcessor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="71" column="55" lean-forward="true" selection-start-line="71" selection-start-column="55" selection-end-line="71" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/kafka/kafkaConsumer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-prod.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1320">
          <caret line="60" selection-start-line="60" selection-end-line="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/Modules/Device/DeviceProcess.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="25" column="13" selection-start-line="25" selection-start-column="13" selection-end-line="25" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/netty/SyslogServer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/netty/SyslogMessageHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/netty/SyslogMessage.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/Modules/DeviceCollect/DeviceCollectProcess.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/kafka/kafkaProducer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="704">
          <caret line="45" column="72" selection-start-line="45" selection-start-column="72" selection-end-line="45" selection-end-column="72" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/mapper/AlarmMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1034">
          <caret line="49" column="15" selection-start-line="49" selection-start-column="15" selection-end-line="49" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/mapper/SyslogNormalAlarmMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="23" column="7" selection-start-line="23" selection-start-column="7" selection-end-line="23" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/mapper/SyslogNormalDataMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3520">
          <caret line="160" column="59" selection-start-line="160" selection-start-column="59" selection-end-line="160" selection-end-column="59" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/mapper/SyslogNormalAlarmMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application-pre-nw.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="17" column="46" lean-forward="true" selection-start-line="17" selection-start-column="46" selection-end-line="17" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application-dev.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="313">
          <caret line="17" column="55" lean-forward="true" selection-start-line="17" selection-start-column="55" selection-end-line="17" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/ProbeHeartbeatService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="418">
          <caret line="35" column="14" lean-forward="true" selection-start-line="35" selection-start-column="14" selection-end-line="35" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod-zc.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="709">
          <caret line="173" column="46" selection-end-line="187" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AnalysisRuleService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="10" column="17" selection-start-line="10" selection-start-column="17" selection-end-line="10" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AlarmHealthCheckService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2493">
          <caret line="18" column="13" selection-start-line="18" selection-start-column="13" selection-end-line="18" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AccessLogAlertService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="7084">
          <caret line="351" column="32" selection-start-line="351" selection-start-column="32" selection-end-line="351" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/RealtimeAnalysisScheduler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1452">
          <caret line="84" column="81" selection-start-line="84" selection-start-column="81" selection-end-line="84" selection-end-column="81" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/mapper/AnalysisAnalysisRuleMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="20" column="31" selection-start-line="20" selection-start-column="31" selection-end-line="20" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/SqlGeneratorServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="22" column="13" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/AnalysisRuleServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="19" column="13" selection-start-line="19" selection-start-column="13" selection-end-line="19" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/DmColumnServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="20" column="13" selection-start-line="20" selection-start-column="13" selection-end-line="20" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/OfflineAnalysisEngine.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="20" column="13" selection-start-line="20" selection-start-column="13" selection-end-line="20" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RealtimeAnalysisEngine.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="16236">
          <caret line="752" column="17" selection-start-line="752" selection-start-column="17" selection-end-line="752" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1474">
          <caret line="67" selection-start-line="67" selection-end-line="67" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="292">
          <caret line="79" column="38" selection-start-line="79" selection-start-column="38" selection-end-line="79" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer-nw.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="174">
          <caret line="20" column="34" lean-forward="true" selection-start-line="20" selection-start-column="34" selection-end-line="20" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer.yaml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>